Package org.eclipse.birt.chart.model.data

# Interface DataElement

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `BigNumberDataElement`, `DateTimeDataElement`, `NumberDataElement`, `TextDataElement`

All Known Implementing Classes:
  `BigNumberDataElementImpl`, `DataElementImpl`, `DateTimeDataElementImpl`, `NumberDataElementImpl`

public interface DataElement extends IChartObject
A representation of the model object 'Element'. This type defines a single element of data to be plotted in a chart. A data element can hold a scalar or a multi-dimensional value.

See Also:
  - `DataPackage.getDataElement()`

## Method Summary

Modifier and Type
Method
Description
`DataElement`
`copyInstance()`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### copyInstance

DataElement copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`